<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/layout/form/_form_page.xhtml">

            <h2>#{messages['net.ihe.gazelle.atna.ImportPEM']}</h2>
            <h:form id="importForm">
                <!--<s:token id="importToken" allowMultiplePost="true"/>-->
                <h:outputText
                        value="#{messages['net.ihe.gazelle.atna.EveryPEMFileShouldStartendWithProperHeaderfooter']}"/>
                <ul>
                    <li>#{messages['net.ihe.gazelle.atna.BEGINCERTIFICATEENDCERTIFICATE']}</li>
                    <li>#{messages['net.ihe.gazelle.atna.BEGINX509CERTIFICATEENDX509CERTIFICATE']}</li>
                    <li>#{messages['net.ihe.gazelle.atna.BEGINRSAPRIVATEKEYENDRSAPRIVATEKEY']}</li>
                    <li>#{messages['net.ihe.gazelle.atna.BEGINDSAPRIVATEKEYENDDSAPRIVATEKEY']}</li>
                    <li>#{messages['net.ihe.gazelle.atna.BEGINECPRIVATEKEYENDECPRIVATEKEY']}</li>
                </ul>

                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.UploadAPEMCertificate']}</ui:define>
                    <div class="form-horizontal">

                        <s:decorate template="/layout/form/_form_field_horizontal_6-6.xhtml">
                            <ui:param name="id" value="pemInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.PEMorCRTFileWithCertificate']}
                            </ui:define>

                            <rich:fileUpload id="pemInput"
                                             fileUploadListener="#{importManager.uploadListener}"
                                             maxFilesQuantity="1"
                                             acceptedTypes="pem,crt" listHeight="60px"
                                             immediateUpload="true"/>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_6-6.xhtml">
                            <ui:param name="id" value="pkInput"/>
                            <ui:define name="label">
                                #{messages['net.ihe.gazelle.atna.PEMorCRTFileWithKeyPairoptional']})
                            </ui:define>

                            <rich:fileUpload id="pkInput"
                                             fileUploadListener="#{importManager.uploadpkDataListener}"
                                             maxFilesQuantity="1"
                                             acceptedTypes="pem,crt,key" listHeight="60px"
                                             immediateUpload="true"/>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_6-6.xhtml">
                            <ui:param name="id" value="pkPassInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.PrivateKeyPasswordifNeeded']})
                            </ui:define>
                            <h:inputSecret id="pkPassInput" value="#{importManager.pkpassword}"
                                           styleClass="form-control"/>
                        </s:decorate>

                    </div>
                    <ui:define name="panel_footer">
                        <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                        <h:commandButton actionListener="#{importManager.importPEM()}"
                                         styleClass="gzl-btn-blue"
                                         value="#{messages['net.ihe.gazelle.atna.Import']}"/>
                    </ui:define>
                </ui:decorate>
            </h:form>

        </s:decorate>
    </ui:define>
</ui:composition>
